---
name: Bug report
about: Create a report to help us debug
title: ''
labels: bug
assignees: ''

---

**Describe the bug**
A clear and concise description of what the bug is.

**To Reproduce**
Steps to reproduce the behavior:
1. Go to '...'
2. Click on '....'
3. Scroll down to '....'
4. See error

**Expected behavior**
A clear and concise description of what you expected to happen.

Example user story template:
AS A {user|persona|system},
[INSTEAD OF {current condition}]
I EXPECTED {result}
[SO THAT {value or justification}]
[NO LATER THAN {best by date}]

**Screenshots**
If applicable, add screenshots to help explain your problem.

**Acceptance Criteria**
- Clear to everyone involved
- Can be tested or verified 
- Either passes or fails (cannot be 50% completed, for example)
- Focus on the outcome, not how the outcome is achieved
- As specific as possible (fast page load speed vs. 3-second page load speed)
- if multiple criteria, present as a bulleted list of short scenarios (see template below)

Example scenario-based template:
Given (some given context or precondition), when (I take this action), then (this will be the specific outcome).

**Additional context**
Add any other context about the problem here.
