---
name: Feature request
about: Suggest an idea for this project
title: ''
labels: enhancement
assignees: ''

---

**Is your feature request related to a problem? Please describe.**
A clear and concise description of what the problem is. Ex. I'm always frustrated when [...]

**Screenshots**
If applicable, add screenshots to help explain your problem.

**Describe the solution you'd like**
A clear and concise description of what you want to happen.

Example user story template:
AS A {user|persona|system},
[INSTEAD OF {current condition}]
I WANT TO {action} [IN {mode} TIME | IN {differentiating performance units} TO {utility performance units}]
[SO THAT {value or justification}]
[NO LATER THAN {best by date}]

**Acceptance Criteria**
- Clear to everyone involved
- Can be tested or verified 
- Either passes or fails (cannot be 50% completed, for example)
- Focus on the outcome, not how the outcome is achieved
- As specific as possible (fast page load speed vs. 3-second page load speed)
- if multiple criteria, present as a bulleted list of short scenarios (see template below)

Example scenario-based template:
Given (some given context or precondition), when (I take this action), then (this will be the specific outcome).

**Describe alternatives you've considered**
A clear and concise description of any alternative solutions or features you've considered.

**Additional context**
Add any other context or screenshots about the feature request here.
